Bug 385931 - Gdk-error when a large string is input into the Port/Port Range text box
Gdk-error when a large string is input into the Port/Port Range text box
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 17:56 EST by ray hammond
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.0.11-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 22:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2007-11-15 17:56:21 EST
Description of problem:

Gdk-ERROR **: The program 'system-config-firewall.py' received an X Window Syst
em error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 63698 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...


Version-Release number of selected component (if applicable):
1.0.8

How reproducible:
Every time

Steps to Reproduce:
1. Within a shell, logged on as root, start system-config-firewall.
2. Press OK to close the start-up form.
3. From the list on the left hand side select the 'Other Ports' option.
4. Click the add button.
5. Click the check-box labeled 'Port / Port Range'.
6. Enter a text string longer that 4096 characters.
  
Actual results:
After a short delay the utility crashes - reporting the error above.

Expected results:
The utility should implement a maximum length on the field.

Additional info:
Comment 1 Fedora Update System 2007-11-21 22:28:02 EST
system-config-firewall-1.0.11-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.